### Class

# Foundry DebuggerTrapParams

#### Description [src]

    final class Foundry.DebuggerTrapParams : GObject.Object
    {
      /* No available fields */
    }

Represents parameters for debugger traps and breakpoints.

FoundryDebuggerTrapParams provides functionality for configuring debugger traps including breakpoints, watchpoints, and other debugging stops. It includes location information, access patterns, and disposition settings for precise control over debugging behavior.

#### Ancestors

- GObject

#### Constructors

###### foundry_debugger_trap_params_new

No description available.

since: 1.1

#### Instance methods

###### foundry_debugger_trap_params_copy

No description available.

###### foundry_debugger_trap_params_dup_function

No description available.

###### foundry_debugger_trap_params_dup_path

No description available.

###### foundry_debugger_trap_params_dup_stack_frame_id

No description available.

###### foundry_debugger_trap_params_dup_thread_id

No description available.

###### foundry_debugger_trap_params_get_access

No description available.

###### foundry_debugger_trap_params_get_disposition

No description available.

###### foundry_debugger_trap_params_get_instruction_pointer

No description available.

###### foundry_debugger_trap_params_get_kind

No description available.

###### foundry_debugger_trap_params_get_line

No description available.

###### foundry_debugger_trap_params_get_line_offset

No description available.

###### foundry_debugger_trap_params_set_access

No description available.

###### foundry_debugger_trap_params_set_disposition

No description available.

###### foundry_debugger_trap_params_set_function

No description available.

###### foundry_debugger_trap_params_set_instruction_pointer

No description available.

###### foundry_debugger_trap_params_set_kind

No description available.

###### foundry_debugger_trap_params_set_line

No description available.

###### foundry_debugger_trap_params_set_line_offset

No description available.

###### foundry_debugger_trap_params_set_path

No description available.

###### foundry_debugger_trap_params_set_stack_frame_id

No description available.

###### foundry_debugger_trap_params_set_thread_id

No description available.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Foundry.DebuggerTrapParams:access

No description available.

###### Foundry.DebuggerTrapParams:disposition

No description available.

###### Foundry.DebuggerTrapParams:function

No description available.

###### Foundry.DebuggerTrapParams:instruction-pointer

No description available.

###### Foundry.DebuggerTrapParams:kind

No description available.

###### Foundry.DebuggerTrapParams:line

No description available.

###### Foundry.DebuggerTrapParams:line-offset

No description available.

###### Foundry.DebuggerTrapParams:path

No description available.

###### Foundry.DebuggerTrapParams:stack-frame-id

No description available.

###### Foundry.DebuggerTrapParams:thread-id

No description available.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct FoundryDebuggerTrapParamsClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.